Authorization: Bearer ********************curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/companies?page=1&limit=10&sort=created_at%3Adesc&filters=period%3Dall%3Bstatus%3Dassigned%2Csubmitted%2Csaved%3Breference_id%3D1234567' \
--header 'Authorization: Bearer <token>'{
"status": true,
"response_code": 200,
"data": {
"companies": [
{
"metrics": {
"visa": 1,
"activity": 1,
"shareholder": 1
},
"_id": "693af7ec978f192c5498d985",
"country": {
"_id": "69039517a4d3ab2bd8e788e3",
"name": "Argentina",
"logo": "https://flagcdn.com/ar.svg"
},
"agent": {
"_id": "68cea818d7f137d2c7d93c33",
"name": "Kashif"
},
"proposed_name": "Meta RTR",
"type": "mainland",
"freezone": "all_zones",
"status": "saved",
"is_paid": false,
"provider": "690e1c74f2b2e4e169de0fb4",
"form_data": "693af7ec978f192c5498d96d",
"is_active": true,
"tracking_id": "4TKOLTDDER",
"created_at": "2025-12-11T16:57:16.770Z",
"updated_at": "2025-12-11T16:57:16.770Z",
"__v": 0,
"reference_id": "12345678"
}
],
"total": 1
}
}